'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bdeef4f4.js');
const defaultIconPack = require('./default-icon-pack-0ea0e986.js');
const index$1 = require('./index-dbc5b08f.js');
const store = require('./store-d570e98c.js');
require('./default-language-4c779255.js');

const dytePermissionsMessageCss = ":host{box-sizing:border-box;display:block;width:560px;padding:var(--dyte-space-6, 24px);border-radius:var(--dyte-border-radius-md, 8px);--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-1000, 8 8 8) / var(--tw-bg-opacity));font-family:var(--dyte-font-family, sans-serif);color:rgb(var(--dyte-colors-text-1000, 255 255 255))}.actions{display:flex;align-items:center;gap:var(--dyte-space-2, 8px)}.text-icon{display:inline-block;vertical-align:middle}h2{margin-top:var(--dyte-space-0, 0px);margin-bottom:var(--dyte-space-4, 16px)}h2 .text-icon{margin-right:var(--dyte-space-2, 8px);height:var(--dyte-space-8, 32px);width:var(--dyte-space-8, 32px);--tw-text-opacity:1;color:rgba(var(--dyte-colors-danger, 255 45 45) / var(--tw-text-opacity))}p{margin-top:var(--dyte-space-0, 0px);margin-bottom:var(--dyte-space-0, 0px)}a{margin-top:var(--dyte-space-6, 24px);margin-bottom:var(--dyte-space-6, 24px);display:inline-block;text-underline-offset:2px;--tw-text-opacity:1;color:rgba(var(--dyte-colors-brand-400, 53 110 253) / var(--tw-text-opacity))}a:hover{--tw-text-opacity:1;color:rgba(var(--dyte-colors-brand-600, 13 81 253) / var(--tw-text-opacity))}a dyte-icon{margin-right:var(--dyte-space-2, 8px);height:var(--dyte-space-5, 20px);width:var(--dyte-space-5, 20px)}:host([size='sm']) .actions{flex-direction:column;align-items:flex-start;justify-content:center}:host([size='sm']) .action{width:100%;padding-top:var(--dyte-space-2, 8px);padding-bottom:var(--dyte-space-2, 8px)}.actions dyte-button{flex:1 1 0%}";

const DytePermissionsMessage = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    /** Language */
    this.t = index$1.useLanguage();
    /** Icon Pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    this.continue = () => {
      this.stateUpdate.emit({ activePermissionsMessage: false });
      store.state.activePermissionsMessage = false;
    };
    this.reload = () => {
      if (typeof window !== 'undefined') {
        window.location.reload();
      }
    };
  }
  connectedCallback() {
    this.meetingChanged(this.meeting);
  }
  meetingChanged(meeting) {
    if (meeting != null) {
      this.device = meeting.self.device;
    }
  }
  getLink() {
    const GOOGLE_SEARCH_BASE = 'https://www.google.com/search?q=';
    let query = 'allow+camera+and+microphone+access';
    if (this.device != null) {
      const { browserName, isMobile } = this.device;
      query += '+' + browserName;
      if (isMobile) {
        query += '+mobile';
      }
    }
    return GOOGLE_SEARCH_BASE + query;
  }
  render() {
    return (index.h(index.Host, null, index.h("h2", null, index.h("dyte-icon", { class: "text-icon", icon: this.iconPack.warning }), this.t('perm_denied_title')), index.h("p", null, this.t('perm_denied_text')), index.h("a", { href: this.getLink(), target: "_blank", rel: "noreferrer external noreferrer noopener" }, index.h("dyte-icon", { class: "text-icon", icon: this.iconPack.attach }), this.t('Need help on how to do this?')), index.h("div", { class: "actions" }, index.h("dyte-button", { size: "lg", kind: "wide", variant: "secondary", onClick: this.continue }, this.t('Continue as it is')), index.h("dyte-button", { size: "lg", kind: "wide", onClick: this.reload }, this.t('Reload'))), index.h("slot", null)));
  }
  static get watchers() { return {
    "meeting": ["meetingChanged"]
  }; }
};
DytePermissionsMessage.style = dytePermissionsMessageCss;

exports.dyte_permissions_message = DytePermissionsMessage;
