import { r as registerInstance, h, H as Host } from './index-74ddb327.js';
import { d as defaultIconPack } from './default-icon-pack-eabba256.js';

const dyteSpinnerCss = ":host{box-sizing:border-box;display:block;height:var(--dyte-space-10, 40px);width:var(--dyte-space-10, 40px);--dyte-spinner-color:currentColor}.spinner{height:100%;width:100%}@-webkit-keyframes spin{to{transform:rotate(360deg)}}@keyframes spin{to{transform:rotate(360deg)}}.spinner{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite;border-radius:9999px;background-color:transparent;-webkit-animation-duration:0.7s;animation-duration:0.7s}";

const DyteSpinner = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** Icon Pack */
    this.iconPack = defaultIconPack;
  }
  render() {
    return (h(Host, null, h("dyte-icon", { class: "spinner", icon: this.iconPack.spinner })));
  }
};
DyteSpinner.style = dyteSpinnerCss;

export { DyteSpinner as dyte_spinner };
