import { Meeting } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
import { IconPack } from '../../lib/icons';
/**
 * A screen shown before joining the meeting, where you can edit your display name,
 * and media settings.
 */
export declare class DyteSetupScreen {
  /** Meeting object */
  meeting: Meeting;
  /** Size */
  size: Size;
  /** Config object */
  config: UIConfig;
  /** States */
  states: States;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  displayName: string;
  isJoining: boolean;
  canEditName: boolean;
  connectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  private join;
  render(): any;
}
